commit:     5fbb614efe1d2e4e87959b39172efa2f4c878e85
Author:     Zero_Chaos <zerochaos <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 23 19:21:00 2016 +0000
Commit:     Richard Farina <zerochaos <AT> gentoo <DOT> org>
CommitDate: Wed Mar 23 20:39:30 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5fbb614e

dev-ruby/bundler-audit: bump

Package-Manager: portage-2.2.28

 dev-ruby/bundler-audit/bundler-audit-0.5.0.ebuild | 40 +++++++++++++++++++++++
 1 file changed, 40 insertions(+)

diff --git a/dev-ruby/bundler-audit/bundler-audit-0.5.0.ebuild 
b/dev-ruby/bundler-audit/bundler-audit-0.5.0.ebuild
new file mode 100644
index 0000000..0294581
--- /dev/null
+++ b/dev-ruby/bundler-audit/bundler-audit-0.5.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+USE_RUBY="ruby20 ruby21 ruby22 ruby23"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_EXTRAINSTALL="data"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Provides patch-level verification for Bundled apps"
+HOMEPAGE="https://github.com/rubysec/bundler-audit";
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~x86-fbsd ~amd64-linux ~x86-linux 
~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris 
~x86-solaris"
+IUSE="test"
+
+ruby_add_rdepend "
+       >=dev-ruby/thor-0.18:0
+       >=dev-ruby/bundler-1.2:0
+"
+
+all_ruby_prepare() {
+       sed -i -e '/simplecov/I s:^:#:' spec/spec_helper.rb || die
+
+       # Avoid specs that require network access via 'bundle install'
+       rm spec/{integration,scanner}_spec.rb || die
+
+       # Avoid specs that only work when the source is a git repository
+       sed -i -e '/describe "path"/,/^  end/ s:^:#:' \
+               -e '/describe "update!"/,/^  end/ s:^:#:' \
+               spec/database_spec.rb || die
+}

Reply via email to